<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwXML</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta content="Daniel Davids" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="100%">
  <tbody>
    <tr>
      <td bgcolor="00cc00" width="25%"><b>Component Name</b></td>
      <td align="center"><b>fwXML</b></td>
    </tr>
    <tr valign="top">
      <td bgcolor="00cc00"><b>Description</b><br></td>
      <td>This library contains several high-level XML DOM function calls as well as the XML SAX implementation</td>
    </tr>
    <tr valign="top">
      <td bgcolor="00cc00"><b>Dependencies</b><br></td>
      <td>None</td>
    </tr>
    <tr valign="top">
      <td bgcolor="00cc00"><b>Additional software required</b><br></td>
      <td>None</td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 100%;" border="1">
  <tbody>
    <tr>
      <td bgcolor="00cc00" colspan="4">
        Example Panels located in &lt;Framework-Components&gt;/panels/examples/fwXML/... and their<br>
        related XML-file examples in &lt;Framework-Components&gt;/data/examples/fwXML/...
      </td>
    </tr>
	<tr valign="top">
      <td bgcolor="dddd00">
		<b>Panel-Name</b>
      </td>
      <td bgcolor="cccc00">
		<b>Demonstrates function...</b>
      </td>
      <td bgcolor="cccc00">
		<b>XML Input-File</b>
      </td>
      <td bgcolor="cccc00" align="center">
	    <b>Documentation</b>
      </td>
    </tr>
    <tr valign="top">
      <td>xmlChildNodesContentExample.pnl<br>
      </td>
      <td>
	    fwXml_childNodesContent&nbsp;for&nbsp;Flat&nbsp;Listing<br>
	    fwXml_childNodesContent&nbsp;for&nbsp;Interesting&nbsp;Text<br>
	    fwXml_childNodesContent&nbsp;for&nbsp;Hierarchical&nbsp;Data<br>
	    fwXml_childNodesContent&nbsp;for&nbsp;More&nbsp;Complex&nbsp;Data<br>
      </td>
      <td>
      <a href="../../../data/examples/fwXML/xmlExampleFlatListing.xml">xmlExampleFlatListing.xml</a><br>
      <a href="../../../data/examples/fwXML/xmlExampleGreatText.xml">xmlExampleGreatText.xml</a><br>
      <a href="../../../data/examples/fwXML/xmlExampleHierarchical.xml">xmlExampleHierarchical.xml</a><br>
      <a href="../../../data/examples/fwXML/xmlExampleMoreComplex.xml">xmlExampleMoreComplex.xml</a><br>
      </td>
      <td align="center">
        <a href="panels/fwXML/examples/xmlChildNodesContentExample/xmlChildNodesContentExample-1.html">Help</a><br>
        <a href="panels/fwXML/examples/xmlChildNodesContentExample/xmlChildNodesContentExample-2.html">Help</a><br>
        <a href="panels/fwXML/examples/xmlChildNodesContentExample/xmlChildNodesContentExample-3.html">Help</a><br>
        <a href="panels/fwXML/examples/xmlChildNodesContentExample/xmlChildNodesContentExample-4.html">Help</a><br>
     </td>
    </tr>
    <tr valign="top">
      <td>
	    xmlCreateChildContentExample.pnl<br>
      </td>
      <td>
	    fwXml_appendChildContent&nbsp;with&nbsp;Simple&nbsp;TagList<br>
	    fwXml_appendChildContent&nbsp;with&nbsp;TagList&nbsp;with&nbsp;Data<br>
	    fwXml_appendChildContent&nbsp;with&nbsp;TagList&nbsp;with&nbsp;Attributes<br>
	    fwXml_appendChildContent&nbsp;with&nbsp;TagList&nbsp;with&nbsp;Atts&nbsp;and&nbsp;Data<br>
	    fwXml_appendChildContent&nbsp;with&nbsp;TagList&nbsp;with&nbsp;Additional&nbsp;Elements<br>
      </td>
	  <td>
	    no input, output to logviewer!<br>
	    no input, output to logviewer!<br>
	    no input, output to logviewer!<br>
	    no input, output to logviewer!<br>
	    no input, output to logviewer!<br>
	  </td>
      <td align="center">
	    <a href="panels/fwXML/examples/xmlCreateChildContentExample/xmlCreateChildContentExample-1.html">Help</a><br>
	    <a href="panels/fwXML/examples/xmlCreateChildContentExample/xmlCreateChildContentExample-2.html">Help</a><br>
	    <a href="panels/fwXML/examples/xmlCreateChildContentExample/xmlCreateChildContentExample-3.html">Help</a><br>
	    <a href="panels/fwXML/examples/xmlCreateChildContentExample/xmlCreateChildContentExample-4.html">Help</a><br>
	    <a href="panels/fwXML/examples/xmlCreateChildContentExample/xmlCreateChildContentExample-5.html">Help</a><br>
      </td>
    </tr>
    <tr valign="top">
      <td>xmlElementsByTagNameExample.pnl<br>
      </td>
      <td>
	    fwXml_elementsByTagName&nbsp;extracting&nbsp;'home',&nbsp;'room'&nbsp;and&nbsp;'floor'&nbsp;Tags<br>
	    fwXml_elementsByTagName&nbsp;extracting&nbsp;'room'&nbsp;Tags&nbsp;inside&nbsp;all&nbsp;'bedrooms'<br>
      </td>
      <td>
        <a href="../../../data/examples/fwXML/xmlExampleProcessTags.xml">xmlExampleProcessTags.xml</a><br>
        <a href="../../../data/examples/fwXML/xmlExampleProcessTags.xml">xmlExampleProcessTags.xml</a><br>
      </td>
      <td align="center">
        <a href="panels/fwXML/examples/xmlElementsByTagNameExample/xmlElementsByTagNameExample-1.html">Help</a><br>
        <a href="panels/fwXML/examples/xmlElementsByTagNameExample/xmlElementsByTagNameExample-2.html">Help</a><br>
	  </td>
    </tr>
    <tr valign="top">
      <td>xmlParseSaxFromFileExample.pnl<br></td>
      <td>fwXml_parseSaxFromFile<br></td>
      <td>
        <a href="../../../data/examples/fwXML/xmlExampleSaxParsing.xml">xmlExampleSaxParsing.xml</a><br>
      </td>
      <td align="center">
        <a href="panels/fwXML/examples/xmlParseSaxFromFileExample/xmlParseSaxFromFileExample.html">Help</a><br>
	  </td>
   </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 100%;" border="1">
  <tbody>
    <tr>
      <td bgcolor="00cc00" colspan="2">Libraries</td>
    </tr>
    <tr>
      <td>Overall documentation of the Library</td>
      <td><a href="scripts/libs/index.html">Documentation</a></td>
    </tr>
    <tr>
      <td>List of all functions and variables in the library</td>
      <td><a href="scripts/libs/globals.html">Functions and Variables</a></td>
    </tr>
    <tr>
      <td>Detailed descriptions of all the fwXML.ctl library functions</td>
      <td><a href="scripts/libs/fwXML_8ctl.html">Detailed Descriptions of fwXML.ctl</a></td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>

